tntdb::Statement::const_iterator Class Reference

This class represents a database-cursor. More...

`#include <statement_iterator.h>`

Inheritance diagram for tntdb::Statement::const_iterator:

## Public Member Functions

| const_iterator (ICursor *cursor_=0)
bool | operator== (const const_iterator &c) const
| Returns true, when the cursor points to the same iteration as the passed iterator. More...
bool | operator!= (const const_iterator &c) const
| Returns true, when the cursor does not point to the same iteration as the passed iterator. More...
const_iterator & | operator++ ()
| Fetches the next row. More...
const_iterator | operator++ (int)
const Row & | operator* () const
| Returns the current tntdb::Row-object. More...
const Row * | operator-> () const
| This operator makes the const_iterator look like a pointer. More...
const ICursor * | getImpl () const
| Returns the actual implementation-class. More...

## Detailed Description

This class represents a database-cursor.

## Member Function Documentation

## getImpl()

const ICursor* tntdb::Statement::const_iterator::getImpl | ( |  | ) | const

inline

Returns the actual implementation-class.

## operator!=()

bool tntdb::Statement::const_iterator::operator!= | ( | const const_iterator & | c | ) | const

inline

Returns true, when the cursor does not point to the same iteration as the passed iterator.

## operator*()

const Row& tntdb::Statement::const_iterator::operator* | ( |  | ) | const

inline

Returns the current tntdb::Row-object.

## operator++()

const_iterator& tntdb::Statement::const_iterator::operator++ | ( |  | ) |

Fetches the next row.

If no rows are available, the cursor is closed and removed from this class.

## operator->()

const Row* tntdb::Statement::const_iterator::operator-> | ( |  | ) | const

inline

This operator makes the const_iterator look like a pointer.

## operator==()

bool tntdb::Statement::const_iterator::operator== | ( | const const_iterator & | c | ) | const

inline

Returns true, when the cursor points to the same iteration as the passed iterator.

The documentation for this class was generated from the following file:

- tntdb/bits/statement_iterator.h